<template>
  <div id="apps-connected">
    <CardConnectYouTube />
    <CardConnectStackExchange />
    <CardConnectMedium />
  </div>
</template>

<script>
import CardConnectMedium from "../components/CardConnectMedium.vue";
import CardConnectStackExchange from "../components/CardConnectStackExchange.vue";
import CardConnectYouTube from "../components/CardConnectYouTube.vue";

export default {
  components: {
    CardConnectYouTube,
    CardConnectStackExchange,
    CardConnectMedium,
  },
  computed: {
    profiles() {
      return this.$store.state.profiles.list;
    },
  },
  beforeCreate() {
      this.$store.dispatch("loadProfiles");
  },
};
</script>

<style lang="scss" scoped>
#apps-connected {
  display: grid;
  grid-template-columns: 1fr;
  justify-items: center;
  row-gap: 1em;
  column-gap: 1em;
  margin-top: 1em;
}

@include media-breakpoint-up(sm) {
  #apps-connected {
    grid-template-columns: 1fr 1fr;
    justify-items: stretch;
    row-gap: 1em;
  }
}

@include media-breakpoint-up(lg) {
  #apps-connected {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@include media-breakpoint-up(xl) {
  #apps-connected {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}
</style>